## wireplumber 0.5.4

=== debian/changelog ===
wireplumber (0.5.4-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 27 Jun 2024 18:01:51 +0300

wireplumber (0.5.4-1) unstable; urgency=medium

  * New upstream version
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 26 Jun 2024 21:35:39 +0200

## wireplumber 0.5.5

=== debian/changelog ===
wireplumber (0.5.5-1) unstable; urgency=medium

  * New upstream version
      - Fix crashes in the Bluetooth HSP/HFP autoswitch (Closes: #1074379)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Jun 2024 21:25:07 +0200

## wireplumber 0.5.6

=== debian/changelog ===
wireplumber (0.5.6-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 02 Nov 2024 18:31:32 +0200

wireplumber (0.5.6-2) unstable; urgency=medium

  * Add dh-sequence-gir in Build-Deps to fill fields ${gir:*}
  * dh_makeshlibs: ignore modules

 -- Dylan Aïssi <daissi@debian.org>  Sat, 02 Nov 2024 10:43:19 +0100

wireplumber (0.5.6-1) unstable; urgency=medium

  * New upstream version
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Fri, 06 Sep 2024 09:40:36 +0200

=== debian/control ===
Source: wireplumber
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               doxygen <!nodoc>,
               gobject-introspection,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.68),
               liblua5.4-dev,
               libpipewire-0.3-dev (>= 1.0.2),
               libspa-0.2-dev,
               meson (>= 0.59.0),
               pkgconf,
               dbus <!nocheck>,
               pipewire (>= 1.0.2) <!nocheck>,
               python3-breathe <!nodoc>,
               python3-lxml <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
Rules-Requires-Root: no

Package: libwireplumber-0.5-0
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Shared libraries for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the shared library and plugins.

Package: libwireplumber-0.5-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libglib2.0-dev,
         libpipewire-0.3-dev,
         libwireplumber-0.5-0 (= ${binary:Version}),
         gir1.2-wp-0.5 (= ${binary:Version}),
Provides: ${gir:Provides}
Suggests: wireplumber-doc
Description: Development files for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the development files.

Package: wireplumber
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libwireplumber-0.5-0 (= ${binary:Version}),
         pipewire (>= 1.0.2),
Recommends: pipewire-pulse
Suggests: libspa-0.2-bluetooth,
          libspa-0.2-libcamera,
          wireplumber-doc
Conflicts: pipewire-media-session
Replaces: pipewire-media-session
Breaks: asahi-audio (<< 2.0)
Section: video
Description: modular session / policy manager for PipeWire
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the WirePlumber daemon and command-line utilities.

Package: wireplumber-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: modular session / policy manager for PipeWire - documentation
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the WirePlumber documentation.

Package: gir1.2-wp-0.5
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libwireplumber-0.5-0 (= ${binary:Version}),
Provides: ${gir:Provides}
Description: GObject introspection files for WirePlumber
 WirePlumber is a modular session / policy manager for PipeWire and a
 GObject-based high-level library that wraps PipeWire's API, providing
 convenience for writing the daemon's modules as well as external tools for
 managing PipeWire.
 .
 This package contains the GObject-introspection data in binary typelib format.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOC=disabled
else
DOC=enabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dintrospection=enabled \
		-Ddoc=$(DOC) \
		-Dmodules=true \
		-Ddaemon=true \
		-Dtools=true \
		-Dsystem-lua=true \
		-Dtests=true \
		-Ddbus-tests=true \
		$(NULL)

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/wireplumber-0.5 \
		-- -c4

## wireplumber 0.5.7

=== debian/changelog ===
wireplumber (0.5.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Drop Build-Deps on gir1.2-gobject-2.0-dev and gir1.2-gio-2.0-dev,
      not available in Bookworm.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2025 11:03:55 +0100

wireplumber (0.5.7-1) unstable; urgency=medium

  * New upstream version
  * Add missing Build-Deps: gir1.2-gobject-2.0-dev and gir1.2-gio-2.0-dev.
      dh_girepository warns about them.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Dec 2024 16:59:04 +0100

wireplumber (0.5.6-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #1087705)
    + Skip documentation in arch-only build.
  * Add nogir build profile (using dh-exec).

  [ Dylan Aïssi ]
  * Test build profiles (nodoc and nogir) with salsa-ci.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 Nov 2024 23:00:52 +0100

wireplumber (0.5.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. (Closes: #1075896)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 17 Sep 2024 10:02:33 +0200

wireplumber (0.4.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 05 Dec 2023 18:19:07 +0100

wireplumber (0.4.16-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 Nov 2023 18:04:20 +0100

wireplumber (0.4.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 17 Oct 2023 18:08:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,26 @@
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-gir,
                doxygen <!nodoc>,
-               gobject-introspection,
-               libgirepository1.0-dev,
+#               gir1.2-gio-2.0-dev <!nogir>,
+#               gir1.2-gobject-2.0-dev <!nogir>,
+               gobject-introspection <!nogir>,
+               libgirepository1.0-dev <!nogir>,
                libglib2.0-dev (>= 2.68),
                liblua5.4-dev,
                libpipewire-0.3-dev (>= 1.0.2),
                libspa-0.2-dev,
+               libsystemd-dev,
                meson (>= 0.59.0),
                pkgconf,
+               systemd-dev,
                dbus <!nocheck>,
                pipewire (>= 1.0.2) <!nocheck>,
+               python3-lxml:native <!nogir>,
+Build-Depends-Indep:
                python3-breathe <!nodoc>,
-               python3-lxml <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.7.0
@@ -64,6 +70,7 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         default-dbus-session-bus | dbus-session-bus,
          libwireplumber-0.5-0 (= ${binary:Version}),
          pipewire (>= 1.0.2),
 Recommends: pipewire-pulse
@@ -99,6 +106,7 @@
 Package: gir1.2-wp-0.5
 Section: introspection
 Architecture: linux-any
+Build-Profiles: <!nogir>
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

ifeq (,$(filter wireplumber-doc,$(shell dh_listpackages)))
CONFIGURE_FLAGS = -Ddoc=disabled
else
CONFIGURE_FLAGS = -Ddoc=enabled
endif
ifeq (,$(filter nogir,$(DEB_BUILD_PROFILES)))
CONFIGURE_FLAGS += -Dintrospection=enabled
else
CONFIGURE_FLAGS += -Dintrospection=disabled
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dmodules=true \
		-Ddaemon=true \
		-Dtools=true \
		-Dsystem-lua=true \
		-Dsystemd=enabled \
		-Dsystemd-user-service=true \
		-Dtests=true \
		-Ddbus-tests=true \
		$(CONFIGURE_FLAGS) \
		$(NULL)

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/wireplumber-0.5 \
		-- -c4

## wireplumber 0.5.8

=== debian/changelog ===
wireplumber (0.5.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 12 Mar 2025 10:34:12 +0100

wireplumber (0.5.8-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version
  * Update symbols file
  * Add some references in debian/upstream/metadata

  [ Jeremy Bícha ]
  * Opt into Ubuntu language packs (using dh-sequence-gnome)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2025 22:27:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
+               dh-sequence-gnome,
                doxygen <!nodoc>,
 #               gir1.2-gio-2.0-dev <!nogir>,
 #               gir1.2-gobject-2.0-dev <!nogir>,

=== debian/tests/control ===
Tests: build
Depends: build-essential, pkgconf, libwireplumber-0.5-dev
Restrictions: superficial

## wireplumber 0.5.10

=== Makefile ===
WIREPLUMBER_DEBUG ?= 3

all:
	ninja -C build

install:
	ninja -C build install

uninstall:
	ninja -C build uninstall

clean:
	ninja -C build clean

run: all
	WIREPLUMBER_DEBUG=$(WIREPLUMBER_DEBUG) \
	./wp-uninstalled.sh $(DBG) wireplumber

test:
	meson test -C build

test_valgrind:
	meson test -C build --setup=valgrind

gdb:
	$(MAKE) run DBG=gdb

valgrind:
	G_SLICE=always-malloc \
	$(MAKE) run DBG="valgrind --leak-check=full"

=== debian/changelog ===
wireplumber (0.5.10-2) experimental; urgency=medium

  * Install system-wide services in a new package (wireplumber-system-services).
    (Closes: #1103237)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Jul 2025 10:46:58 +0200

wireplumber (0.5.10-1) experimental; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 21 May 2025 10:17:37 +0200

wireplumber (0.5.9-1) experimental; urgency=medium

  * New upstream version
  * Update symbols file with new symbols
  * Adjust VCS fields in d/control and d/gbp.conf for experimental

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 May 2025 16:14:40 +0200

wireplumber (0.5.8-2) unstable; urgency=medium

  * Install zsh completions in /usr/share/zsh/vendor-completions/
    See: /usr/share/doc/zsh/README.Debian.
  * Standards-Version: 4.7.2 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 19 Apr 2025 09:10:54 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                doxygen <!nodoc>,
-#               gir1.2-gio-2.0-dev <!nogir>,
-#               gir1.2-gobject-2.0-dev <!nogir>,
+               gir1.2-gio-2.0-dev <!nogir>,
+               gir1.2-gobject-2.0-dev <!nogir>,
                gobject-introspection <!nogir>,
                libgirepository1.0-dev <!nogir>,
                libglib2.0-dev (>= 2.68),
@@ -28,10 +28,10 @@
                python3-breathe <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
-Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
+Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git -b debian/experimental
 Rules-Requires-Root: no
 
 Package: libwireplumber-0.5-0
@@ -90,6 +90,22 @@
  .
  This package contains the WirePlumber daemon and command-line utilities.
 
+Package: wireplumber-system-services
+Architecture: all
+Depends: pipewire-system-services,
+         wireplumber,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: modular session / policy manager for PipeWire (system services)
+ WirePlumber is a modular session / policy manager for PipeWire and a
+ GObject-based high-level library that wraps PipeWire's API, providing
+ convenience for writing the daemon's modules as well as external tools for
+ managing PipeWire.
+ .
+ This package contains the systemd system services. NOTE: This is NOT the
+ recommended way to use WirePlumber, but these services are provided for
+ specific use cases like embedded and accessibility.
+
 Package: wireplumber-doc
 Section: doc
 Build-Profiles: <!nodoc>

## wireplumber 0.5.11

=== debian/changelog ===
wireplumber (0.5.11-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Target Trixie in gbp.conf and salsa-ci.yml

 -- Dylan Aïssi <daissi@debian.org>  Thu, 11 Sep 2025 11:35:02 +0200

wireplumber (0.5.11-1) unstable; urgency=medium

  * New upstream version
  * debian/gbp.conf: use upstream-vcs-tag instead of upstream-tag
  * debian/gbp.conf: add "pristine-tar = True"
  * Update symbols file: add 1 new symbol

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Sep 2025 11:01:51 +0200

wireplumber (0.5.10-3) unstable; urgency=medium

  * Adjust VCS fields in d/control and d/gbp.conf for unstable.
  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Aug 2025 08:58:28 +0200

## wireplumber 0.5.12

=== meson_options.txt ===
option('introspection', type : 'feature', value : 'auto',
       description : 'Generate gobject-introspection bindings')
option('doc', type : 'feature', value : 'auto',
       description: 'Enable documentation.')
option('modules', type : 'boolean', value: true,
       description : 'Build modules')
option('daemon', type : 'boolean', value: true,
       description : 'Build session manager daemon')
option('tools', type : 'boolean', value: true,
       description : 'Build CLI tools')
option('system-lua', type : 'boolean', value : false,
       description : 'Use lua from the system instead of the bundled one')
option('system-lua-version',
       type: 'string', value : 'auto',
       description: 'The system lua version to use or "auto" for auto-detection')
option('elogind',
	type: 'feature', value : 'auto',
	description: 'Enable elogind integration')
option('systemd',
       type: 'feature', value: 'auto',
       description: 'Enable installing systemd units & logind integration')
option('systemd-system-service',
       type : 'boolean', value : false,
       description: 'Install systemd system service file')
option('systemd-user-service',
       type : 'boolean', value : true,
       description: 'Install systemd user service file')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units')
option('glib-supp', type : 'string', value : '',
       description: 'The glib.supp valgrind suppressions file to be used when running valgrind')
option('tests', type : 'boolean', value : true,
       description : 'Build the test suite')
option('dbus-tests', type : 'boolean', value : true,
       description: 'Enable running tests that need a dbus-daemon')

=== debian/changelog ===
wireplumber (0.5.12-1) unstable; urgency=medium

  * New upstream version.
  * Install manpage for wpctl in wireplumber-doc.
    (Closes :#1068019, LP: #2080723)
  * Remove Remove-service-alias.patch, this was required to avoid conflict
    with pipewire-media-session due to a bug in systemd. systemd is fixed
    since v253 and pipewire-media-session is no longer available since Trixie,
    so no reason to keep it.
  * Announce the new MPRIS media player pause functionality in NEWS.Debian.
    (Closes: #1117509)
  * Override lintian tag systemd-service-file-refers-to-unusual-wantedby-target
    for wireplumber-system-services.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Oct 2025 09:17:55 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Standards-Version: 4.7.2
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
-Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
 Rules-Requires-Root: no
 
 Package: libwireplumber-0.5-0

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 		-Dtools=true \
 		-Dsystem-lua=true \
 		-Dsystemd=enabled \
+		-Dsystemd-system-service=true \
 		-Dsystemd-user-service=true \
 		-Dtests=true \
 		-Ddbus-tests=true \
@@ -34,3 +35,18 @@
 	dh_makeshlibs \
 		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/wireplumber-0.5 \
 		-- -c4
+
+# We only use dh-sequence-gnome so that Ubuntu
+# runs dh_translations
+override_dh_gnome:
+override_dh_gnome_clean:
+
+# Workaround for Ubuntu language pack issue
+execute_after_dh_translations:
+	ninja -C obj-$(DEB_HOST_GNU_TYPE) wireplumber-pot
+
+override_dh_installsystemd:
+	# The recommanded way to install wireplumber is using user services, but
+	# we install system services anyway for specific use cases (like embedded
+	# and accessibility) without enabling/starting them to avoid clashes.
+	dh_installsystemd -pwireplumber-system-services --no-enable --no-start

## wireplumber 0.5.13

=== debian/changelog ===
wireplumber (0.5.13-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 01 Jan 2026 12:53:02 +0200

wireplumber (0.5.13-1) unstable; urgency=medium

  * New upstream version (Closes: #1124139)
  * Install bash completion for wpctl
  * Update symbols file: add 3 new symbols
  * Remove the Priority field
  * Bump Standards-Version to 4.7.3

 -- Dylan Aïssi <daissi@debian.org>  Mon, 29 Dec 2025 23:36:31 +0100

wireplumber (0.5.12-3) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Use dbus-daemon as Build-Dependency rather than dbus (Closes: #1122737)

  [ Jeremy Bícha ]
  * Remove obsolete dh_gnome_clean override
  * Fix some build warnings

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Dec 2025 10:34:45 +0100

wireplumber (0.5.12-2) unstable; urgency=medium

  * Don't depend on non-multiarch-friendly libgirepository1.0-dev.
    (Closes: #1118933)
  * Convert watch to version 5 and use Gitlab template.
  * Add lintian-overrides for manpage of wpctl.
  * Remove redundant "Rules-Requires-Root: no"

 -- Dylan Aïssi <daissi@debian.org>  Thu, 11 Dec 2025 18:06:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: wireplumber
 Section: libs
-Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Dylan Aïssi <daissi@debian.org>
@@ -11,16 +10,13 @@
                doxygen <!nodoc>,
                gir1.2-gio-2.0-dev <!nogir>,
                gir1.2-gobject-2.0-dev <!nogir>,
-               gobject-introspection <!nogir>,
-               libgirepository1.0-dev <!nogir>,
+               gobject-introspection (>= 1.80) <!nogir>,
                libglib2.0-dev (>= 2.68),
                liblua5.4-dev,
                libpipewire-0.3-dev (>= 1.0.2),
                libspa-0.2-dev,
-               libsystemd-dev,
                meson (>= 0.59.0),
                pkgconf,
-               systemd-dev,
                dbus <!nocheck>,
                pipewire (>= 1.0.2) <!nocheck>,
                python3-lxml:native <!nogir>,
@@ -28,11 +24,10 @@
                python3-breathe <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.freedesktop.org/pipewire/wireplumber
 Vcs-Browser: https://salsa.debian.org/utopia-team/wireplumber
 Vcs-Git: https://salsa.debian.org/utopia-team/wireplumber.git
-Rules-Requires-Root: no
 
 Package: libwireplumber-0.5-0
 Architecture: linux-any
@@ -56,7 +51,6 @@
          libglib2.0-dev,
          libpipewire-0.3-dev,
          libwireplumber-0.5-0 (= ${binary:Version}),
-         gir1.2-wp-0.5 (= ${binary:Version}),
 Provides: ${gir:Provides}
 Suggests: wireplumber-doc
 Description: Development files for WirePlumber
@@ -90,22 +84,6 @@
  .
  This package contains the WirePlumber daemon and command-line utilities.
 
-Package: wireplumber-system-services
-Architecture: all
-Depends: pipewire-system-services,
-         wireplumber,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Description: modular session / policy manager for PipeWire (system services)
- WirePlumber is a modular session / policy manager for PipeWire and a
- GObject-based high-level library that wraps PipeWire's API, providing
- convenience for writing the daemon's modules as well as external tools for
- managing PipeWire.
- .
- This package contains the systemd system services. NOTE: This is NOT the
- recommended way to use WirePlumber, but these services are provided for
- specific use cases like embedded and accessibility.
-
 Package: wireplumber-doc
 Section: doc
 Build-Profiles: <!nodoc>
@@ -128,7 +106,6 @@
 Depends: ${misc:Depends},
          ${gir:Depends},
          libwireplumber-0.5-0 (= ${binary:Version}),
-Provides: ${gir:Provides}
 Description: GObject introspection files for WirePlumber
  WirePlumber is a modular session / policy manager for PipeWire and a
  GObject-based high-level library that wraps PipeWire's API, providing

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,6 @@
 		-Ddaemon=true \
 		-Dtools=true \
 		-Dsystem-lua=true \
-		-Dsystemd=enabled \
-		-Dsystemd-system-service=true \
-		-Dsystemd-user-service=true \
 		-Dtests=true \
 		-Ddbus-tests=true \
 		$(CONFIGURE_FLAGS) \
@@ -39,14 +36,7 @@
 # We only use dh-sequence-gnome so that Ubuntu
 # runs dh_translations
 override_dh_gnome:
-override_dh_gnome_clean:
 
 # Workaround for Ubuntu language pack issue
 execute_after_dh_translations:
 	ninja -C obj-$(DEB_HOST_GNU_TYPE) wireplumber-pot
-
-override_dh_installsystemd:
-	# The recommanded way to install wireplumber is using user services, but
-	# we install system services anyway for specific use cases (like embedded
-	# and accessibility) without enabling/starting them to avoid clashes.
-	dh_installsystemd -pwireplumber-system-services --no-enable --no-start

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/pipewire/wireplumber
